:root{
	--white: #ffffff;
	--grey: #999999;
	--dark: #212529;
	--green: #50bb3c;
	--red: #eb4242;
}

body{
	font-family: 'Inter', sans-serif;
    font-weight: 300;
    font-size: 14px;
    line-height: 1.3;
}
h1, h2, h3, h4, h5, h6 {
    font-weight: 300;
}
.divider {
    display: block;
    margin: 15px 0;
    text-align: center;
}
.loader {
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    height: 100vh;
    width: 100vw;
	transition: 1000ms opacity;
	opacity: 1;
    z-index: 999;
}

.loader-logo {
    position: absolute;
    top: calc(50% - 50px);
    left: calc(50% - 40px);
    z-index: 1;
    width: 80px;
    height: 100px;
    animation: 800ms infinite linear floating;
}

.loader-logo img {
    width: auto;
    height: 100%;
}

.page-bottom {
    position: fixed;
    bottom: 0;
    width: 100%;
}

.page-bottom img {
    width: 100%;
}

.info-screen {
    height: 100vh;
    width: 100vw;
}
.swiper-pagination-progressbar .swiper-pagination-progressbar-fill{
	background: var(--white);
}
.info-screen .swiper-slide {
    padding: 150px 30px 0;
    text-align: center;
	color: var(--white);
}

.info-screen .swiper-slide img {
    width: auto;
    height: 200px;
    margin-bottom: 50px;
}

.info-screen .swiper-slide h4 {
    position: relative;
    margin-bottom: 18px;
}

.info-screen .swiper-slide p {
    font-weight: 100;
}

.info-screen .swiper-slide h4:after {
    content: '';
	background: var(--white);
    width: 60px;
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: calc(50% - 30px);
}
.info-header {
    position:relative;
    height: 180px;
    border-radius: 0px 0px 300px 300px/0 0 50px 50px;
    text-align: center;
    padding: 50px 50px 20px;
    color:var(--white);
    overflow: hidden;
}

.info-header img {
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    opacity: 0.3;
    z-index: 0;
}
.info-header h4 {
    position: relative;
    z-index: 1;
    margin-bottom: 18px;
}

.info-header h4:after {
    content: '';
	background: var(--white);
    width: 40px;
    height: 2px;
    position: absolute;
    bottom: -10px;
    left: calc(50% - 20px);
}
.info-header p {
    font-weight: 200;
    position: relative;
    z-index:1;
}
.main-content, .login-content {
    padding: 40px 40px 0;
}

.login-form {
    position: relative;
    margin-bottom: 20px;
}

.login-form h6 {
    text-align: center;
    font-weight: 500;
}
.country-input div {
    display: inline-block;
}

.country-code {
    font-size: 18px;
    padding: 5px;
    border-bottom: 1px dashed var(--grey);
}

.form-group input {
    border: 0;
    border-bottom: 1px dashed var(--grey);
    width: 100%;
    outline: none;
    padding: 5px;
    font-size: 18px;
    font-weight: 300;
    color: var(--dark);
}
.country-input, .otp-input {
    margin: 15px 0;
    text-align: center;
}
.otp-field {
    text-align: center;
    letter-spacing: 5px;
    margin-bottom: 20px;
}

/***** Sidenav CSS *****/
.opened{
    position:relative;
    transition: background-color .5s;
}
.opened:before {
    content: '';
    position: fixed;
    width: 100%;
    height: 100%;
    background: var(--white);
    opacity:0.70;
}
.sidenav {
  height: 100%;
  width: 280px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: -280px;
  overflow-x: hidden;
  transition: 0.5s;
}
.navicon, .sideicon{
    cursor:pointer;
    position: fixed;
    z-index: 5;
    top: 7px;
    left: 0px;
    width: 35px;
    color: var(--white);
    padding: 5px 10px 5px 5px;
    font-size: 21px;
    border-radius: 0 20px 20px 0;
    transition: left .5s;
}

.sideicon svg {
    width: 22px;
}

.menu-profile {
    position: relative;
    padding: 35px 20px;
    border-bottom: 1px dashed var(--white);
}

.profile-image, .profile-user {
    display: inline-block;
    vertical-align: middle;
}


.profile-image img {
    border-radius: 50%;
    border: 2px solid var(--white);
    width: 80px;
}

.profile-user h5 {
    color: var(--white);
    text-transform: capitalize;
}

.profile-user p {
    margin: 0;
    color: var(--white);
}

.profile-user {
    padding: 15px 10px;
}

.menu-list {
    padding: 20px;
    border-bottom: 1px dashed var(--white);
}

.menu-list ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu-list ul li {
    display: block;
    margin-bottom: 10px;
    position: relative;
    padding: 10px;
}

.menu-list ul li:last-child {
    margin-bottom: 0;
}

.menu-icon {
    display: inline-block;
    margin-right: 15px;
}

.menu-icon svg {
    height: 20px;
    width: 20px;
}

.menu-name {
    display: inline-block;
    color: var(--white);
    font-weight: 200;
    vertical-align: middle;
    line-height: 1.5;
}

.menu-name span {
    font-size: 80%;
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 4px 8px;
    color: var(--white);
    border: 1px dashed var(--white);
    border-radius: 20px;
    line-height: 1;
}

.topbar {
    position: fixed;
    z-index: 1;
    top: 0;
    display: flex;
    width: 100%;
    padding: 5px 15px 10px;
    background: var(--white);
    box-shadow: 0px 0px 6px -3px var(--dark);
    justify-content: flex-end;
    align-items: center;
    align-content: center;
}

.topbar h4 {
    margin: 0;
    font-size: 18px;
    font-weight: 600;
    text-align: right;
    line-height: 2;
    margin-right: 10px;
}

.topbar-gap{
    margin-top: 51px;
}

.online-status{
    width: 15px;
}

.grid-box {
    display: block;
    position: relative;
    padding: 10px;
}

.grid-box:before {
    content: '';
    opacity: 0.2;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0px;
}
.grid-box:nth-child(even):before{
    opacity: 0.1;
}
.grid-head {
    position: relative;
    padding-bottom: 10px;
    height: 35px;
}

.grid-head .grid-time {
    line-height: 1.7;
    font-weight: 600;
}

.grid-head .grid-fare {
    position: absolute;
    right: -10px;
    color: var(--white);
    padding: 3px 8px 3px 10px;
    border-radius: 10px 0 0 10px;
}

.grid-body {
    position: relative;
}

.grid-pickup, .grid-drop {
    display: block;
    margin-bottom: 15px;
    height: 35px;
}

.grid-icon {
    display: inline-block;
    margin-right: 10px;
    vertical-align: middle;
    position: relative;
}

.grid-address {
    vertical-align: middle;
    width: calc(100% - 25px);
    float: right;
}

.grid-icon svg {
    width: 15px;
    height: 15px;
}

.grid-pickup .grid-icon:after {
    content: '';
    position: absolute;
    top: 100%;
    left: calc(50% - 1px);
    width: 1px;
    height: 35px;
}

.grid-detail{
    position: relative;
    height: 0px;
    opacity: 0;
    overflow: hidden;
    transition: all 500ms;
}

.grid-driver-info {
    position: relative;
    padding-top: 10px;
    margin-top: 10px;
}

.grid-driver-image, .grid-driver-detail {
    display: inline-block;
    vertical-align: middle;
}

.grid-driver-image{
    margin-right: 10px;
}

.grid-driver-detail {
    width: calc(100% - 80px);
}

.grid-driver-image img {
    width: 60px;
    border-radius: 50%;
    border: 2px solid var(--white);
}

.grid-driver-detail h6 {
    font-weight: 500;
    margin: 0;
}

.grid-driver-rating {
    display: block;
    position: relative;
    width: 100%;
}

.grid-driver-rating svg {
    display: inline-block;
    width: 15px;
}
.grid-driver-vehicle {
    position:relative;
}
.grid-driver-vehicle span {
    font-size: 90%;
    font-weight:400;
}
.grid-driver-vehicle span:nth-child(2) {
    font-weight:700;
}
.fare-detail-table tr td:last-child {
    text-align: right;
    font-weight: 400;
}
.fare-detail-table tr:last-child td {
    font-weight: 700;
}

.chat-block {
    height: calc(100vh - 51px);
    position: relative;
}

.chat-head {
    position: absolute;
    z-index: 9;
    top: 0;
    background: var(--dark);
    color: var(--white);
    padding: 10px;
    width: 100%;
    height: 40px;
}

.chat-body {
    position: relative;
    height: calc(100vh - 51px);
    overflow: scroll;
    padding-top: 10px;
    padding-bottom: 60px;
    background: var(--secondary);
}

.chat-foot{
    position: absolute;
    z-index: 9;
    bottom: 10px;
    padding: 10px;
    width: calc(100% - 20px);
    left: 10px;
    height: 60px;
    background: var(--white);
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.chat-box {
    background: var(--dark);
    width: 80%;
    max-width: 500px;
    position: relative;
    margin-bottom: 15px;
    margin-left: 10px;
    border-radius: 10px 10px 10px 0px;
    padding: 10px;
    color: var(--white);
}

.chat-box.chat-sender {
    margin-left: auto;
    margin-right: 10px;
    border-radius: 10px 10px 0px 10px;
    background: var(--second);
}

.chat-time {
    font-size: 75%;
    text-align: right;
    margin-top: 10px;
}

.svg-icon{
    width: 25px;
}

.divider-border{
    border-top: 1px dashed var(--primary);
}

/***** Button CSS *****/
.btn {
    padding: 6px 30px;
    border-radius: 50px;
    font-size: 18px;
    font-weight:300;
}
.btn-white {
    background: var(--white);
}
.btn-theme {
    color: var(--white);
}